IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/48
Addresses2^80
/64 networks65,536
- Network
287c:c2:dddb::/48- First address
287c:c2:dddb::- Last address
287c:c2:dddb:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,208,925,819,614,629,174,706,176 (2^80)
- /64 networks (LANs)
- 65,536
- Full form
287c:00c2:dddb:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
b.d.d.d.2.c.0.0.c.7.8.2.ip6.arpa
Split into smaller subnets
287c:c2:dddb::/48 makes 256 subnets of /56.
| # | Subnet | Last address |
|---|---|---|
| 1 | 287c:c2:dddb::/56 | 287c:c2:dddb:ff:ffff:ffff:ffff:ffff |
| 2 | 287c:c2:dddb:100::/56 | 287c:c2:dddb:1ff:ffff:ffff:ffff:ffff |
| 3 | 287c:c2:dddb:200::/56 | 287c:c2:dddb:2ff:ffff:ffff:ffff:ffff |
| 4 | 287c:c2:dddb:300::/56 | 287c:c2:dddb:3ff:ffff:ffff:ffff:ffff |
| 5 | 287c:c2:dddb:400::/56 | 287c:c2:dddb:4ff:ffff:ffff:ffff:ffff |
| 6 | 287c:c2:dddb:500::/56 | 287c:c2:dddb:5ff:ffff:ffff:ffff:ffff |
| 7 | 287c:c2:dddb:600::/56 | 287c:c2:dddb:6ff:ffff:ffff:ffff:ffff |
| 8 | 287c:c2:dddb:700::/56 | 287c:c2:dddb:7ff:ffff:ffff:ffff:ffff |
| 9 | 287c:c2:dddb:800::/56 | 287c:c2:dddb:8ff:ffff:ffff:ffff:ffff |
| 10 | 287c:c2:dddb:900::/56 | 287c:c2:dddb:9ff:ffff:ffff:ffff:ffff |
| 11 | 287c:c2:dddb:a00::/56 | 287c:c2:dddb:aff:ffff:ffff:ffff:ffff |
| 12 | 287c:c2:dddb:b00::/56 | 287c:c2:dddb:bff:ffff:ffff:ffff:ffff |
| 13 | 287c:c2:dddb:c00::/56 | 287c:c2:dddb:cff:ffff:ffff:ffff:ffff |
| 14 | 287c:c2:dddb:d00::/56 | 287c:c2:dddb:dff:ffff:ffff:ffff:ffff |
| 15 | 287c:c2:dddb:e00::/56 | 287c:c2:dddb:eff:ffff:ffff:ffff:ffff |
| 16 | 287c:c2:dddb:f00::/56 | 287c:c2:dddb:fff:ffff:ffff:ffff:ffff |
| 17 | 287c:c2:dddb:1000::/56 | 287c:c2:dddb:10ff:ffff:ffff:ffff:ffff |
| 18 | 287c:c2:dddb:1100::/56 | 287c:c2:dddb:11ff:ffff:ffff:ffff:ffff |
| 19 | 287c:c2:dddb:1200::/56 | 287c:c2:dddb:12ff:ffff:ffff:ffff:ffff |
| 20 | 287c:c2:dddb:1300::/56 | 287c:c2:dddb:13ff:ffff:ffff:ffff:ffff |
| 21 | 287c:c2:dddb:1400::/56 | 287c:c2:dddb:14ff:ffff:ffff:ffff:ffff |
| 22 | 287c:c2:dddb:1500::/56 | 287c:c2:dddb:15ff:ffff:ffff:ffff:ffff |
| 23 | 287c:c2:dddb:1600::/56 | 287c:c2:dddb:16ff:ffff:ffff:ffff:ffff |
| 24 | 287c:c2:dddb:1700::/56 | 287c:c2:dddb:17ff:ffff:ffff:ffff:ffff |
| 25 | 287c:c2:dddb:1800::/56 | 287c:c2:dddb:18ff:ffff:ffff:ffff:ffff |
| 26 | 287c:c2:dddb:1900::/56 | 287c:c2:dddb:19ff:ffff:ffff:ffff:ffff |
| 27 | 287c:c2:dddb:1a00::/56 | 287c:c2:dddb:1aff:ffff:ffff:ffff:ffff |
| 28 | 287c:c2:dddb:1b00::/56 | 287c:c2:dddb:1bff:ffff:ffff:ffff:ffff |
| 29 | 287c:c2:dddb:1c00::/56 | 287c:c2:dddb:1cff:ffff:ffff:ffff:ffff |
| 30 | 287c:c2:dddb:1d00::/56 | 287c:c2:dddb:1dff:ffff:ffff:ffff:ffff |
| 31 | 287c:c2:dddb:1e00::/56 | 287c:c2:dddb:1eff:ffff:ffff:ffff:ffff |
| 32 | 287c:c2:dddb:1f00::/56 | 287c:c2:dddb:1fff:ffff:ffff:ffff:ffff |
| 33 | 287c:c2:dddb:2000::/56 | 287c:c2:dddb:20ff:ffff:ffff:ffff:ffff |
| 34 | 287c:c2:dddb:2100::/56 | 287c:c2:dddb:21ff:ffff:ffff:ffff:ffff |
| 35 | 287c:c2:dddb:2200::/56 | 287c:c2:dddb:22ff:ffff:ffff:ffff:ffff |
| 36 | 287c:c2:dddb:2300::/56 | 287c:c2:dddb:23ff:ffff:ffff:ffff:ffff |
| 37 | 287c:c2:dddb:2400::/56 | 287c:c2:dddb:24ff:ffff:ffff:ffff:ffff |
| 38 | 287c:c2:dddb:2500::/56 | 287c:c2:dddb:25ff:ffff:ffff:ffff:ffff |
| 39 | 287c:c2:dddb:2600::/56 | 287c:c2:dddb:26ff:ffff:ffff:ffff:ffff |
| 40 | 287c:c2:dddb:2700::/56 | 287c:c2:dddb:27ff:ffff:ffff:ffff:ffff |
| 41 | 287c:c2:dddb:2800::/56 | 287c:c2:dddb:28ff:ffff:ffff:ffff:ffff |
| 42 | 287c:c2:dddb:2900::/56 | 287c:c2:dddb:29ff:ffff:ffff:ffff:ffff |
| 43 | 287c:c2:dddb:2a00::/56 | 287c:c2:dddb:2aff:ffff:ffff:ffff:ffff |
| 44 | 287c:c2:dddb:2b00::/56 | 287c:c2:dddb:2bff:ffff:ffff:ffff:ffff |
| 45 | 287c:c2:dddb:2c00::/56 | 287c:c2:dddb:2cff:ffff:ffff:ffff:ffff |
| 46 | 287c:c2:dddb:2d00::/56 | 287c:c2:dddb:2dff:ffff:ffff:ffff:ffff |
| 47 | 287c:c2:dddb:2e00::/56 | 287c:c2:dddb:2eff:ffff:ffff:ffff:ffff |
| 48 | 287c:c2:dddb:2f00::/56 | 287c:c2:dddb:2fff:ffff:ffff:ffff:ffff |
| 49 | 287c:c2:dddb:3000::/56 | 287c:c2:dddb:30ff:ffff:ffff:ffff:ffff |
| 50 | 287c:c2:dddb:3100::/56 | 287c:c2:dddb:31ff:ffff:ffff:ffff:ffff |
| 51 | 287c:c2:dddb:3200::/56 | 287c:c2:dddb:32ff:ffff:ffff:ffff:ffff |
| 52 | 287c:c2:dddb:3300::/56 | 287c:c2:dddb:33ff:ffff:ffff:ffff:ffff |
| 53 | 287c:c2:dddb:3400::/56 | 287c:c2:dddb:34ff:ffff:ffff:ffff:ffff |
| 54 | 287c:c2:dddb:3500::/56 | 287c:c2:dddb:35ff:ffff:ffff:ffff:ffff |
| 55 | 287c:c2:dddb:3600::/56 | 287c:c2:dddb:36ff:ffff:ffff:ffff:ffff |
| 56 | 287c:c2:dddb:3700::/56 | 287c:c2:dddb:37ff:ffff:ffff:ffff:ffff |
| 57 | 287c:c2:dddb:3800::/56 | 287c:c2:dddb:38ff:ffff:ffff:ffff:ffff |
| 58 | 287c:c2:dddb:3900::/56 | 287c:c2:dddb:39ff:ffff:ffff:ffff:ffff |
| 59 | 287c:c2:dddb:3a00::/56 | 287c:c2:dddb:3aff:ffff:ffff:ffff:ffff |
| 60 | 287c:c2:dddb:3b00::/56 | 287c:c2:dddb:3bff:ffff:ffff:ffff:ffff |
| 61 | 287c:c2:dddb:3c00::/56 | 287c:c2:dddb:3cff:ffff:ffff:ffff:ffff |
| 62 | 287c:c2:dddb:3d00::/56 | 287c:c2:dddb:3dff:ffff:ffff:ffff:ffff |
| 63 | 287c:c2:dddb:3e00::/56 | 287c:c2:dddb:3eff:ffff:ffff:ffff:ffff |
| 64 | 287c:c2:dddb:3f00::/56 | 287c:c2:dddb:3fff:ffff:ffff:ffff:ffff |
| 65 | 287c:c2:dddb:4000::/56 | 287c:c2:dddb:40ff:ffff:ffff:ffff:ffff |
| 66 | 287c:c2:dddb:4100::/56 | 287c:c2:dddb:41ff:ffff:ffff:ffff:ffff |
| 67 | 287c:c2:dddb:4200::/56 | 287c:c2:dddb:42ff:ffff:ffff:ffff:ffff |
| 68 | 287c:c2:dddb:4300::/56 | 287c:c2:dddb:43ff:ffff:ffff:ffff:ffff |
| 69 | 287c:c2:dddb:4400::/56 | 287c:c2:dddb:44ff:ffff:ffff:ffff:ffff |
| 70 | 287c:c2:dddb:4500::/56 | 287c:c2:dddb:45ff:ffff:ffff:ffff:ffff |
| 71 | 287c:c2:dddb:4600::/56 | 287c:c2:dddb:46ff:ffff:ffff:ffff:ffff |
| 72 | 287c:c2:dddb:4700::/56 | 287c:c2:dddb:47ff:ffff:ffff:ffff:ffff |
| 73 | 287c:c2:dddb:4800::/56 | 287c:c2:dddb:48ff:ffff:ffff:ffff:ffff |
| 74 | 287c:c2:dddb:4900::/56 | 287c:c2:dddb:49ff:ffff:ffff:ffff:ffff |
| 75 | 287c:c2:dddb:4a00::/56 | 287c:c2:dddb:4aff:ffff:ffff:ffff:ffff |
| 76 | 287c:c2:dddb:4b00::/56 | 287c:c2:dddb:4bff:ffff:ffff:ffff:ffff |
| 77 | 287c:c2:dddb:4c00::/56 | 287c:c2:dddb:4cff:ffff:ffff:ffff:ffff |
| 78 | 287c:c2:dddb:4d00::/56 | 287c:c2:dddb:4dff:ffff:ffff:ffff:ffff |
| 79 | 287c:c2:dddb:4e00::/56 | 287c:c2:dddb:4eff:ffff:ffff:ffff:ffff |
| 80 | 287c:c2:dddb:4f00::/56 | 287c:c2:dddb:4fff:ffff:ffff:ffff:ffff |
| 81 | 287c:c2:dddb:5000::/56 | 287c:c2:dddb:50ff:ffff:ffff:ffff:ffff |
| 82 | 287c:c2:dddb:5100::/56 | 287c:c2:dddb:51ff:ffff:ffff:ffff:ffff |
| 83 | 287c:c2:dddb:5200::/56 | 287c:c2:dddb:52ff:ffff:ffff:ffff:ffff |
| 84 | 287c:c2:dddb:5300::/56 | 287c:c2:dddb:53ff:ffff:ffff:ffff:ffff |
| 85 | 287c:c2:dddb:5400::/56 | 287c:c2:dddb:54ff:ffff:ffff:ffff:ffff |
| 86 | 287c:c2:dddb:5500::/56 | 287c:c2:dddb:55ff:ffff:ffff:ffff:ffff |
| 87 | 287c:c2:dddb:5600::/56 | 287c:c2:dddb:56ff:ffff:ffff:ffff:ffff |
| 88 | 287c:c2:dddb:5700::/56 | 287c:c2:dddb:57ff:ffff:ffff:ffff:ffff |
| 89 | 287c:c2:dddb:5800::/56 | 287c:c2:dddb:58ff:ffff:ffff:ffff:ffff |
| 90 | 287c:c2:dddb:5900::/56 | 287c:c2:dddb:59ff:ffff:ffff:ffff:ffff |
| 91 | 287c:c2:dddb:5a00::/56 | 287c:c2:dddb:5aff:ffff:ffff:ffff:ffff |
| 92 | 287c:c2:dddb:5b00::/56 | 287c:c2:dddb:5bff:ffff:ffff:ffff:ffff |
| 93 | 287c:c2:dddb:5c00::/56 | 287c:c2:dddb:5cff:ffff:ffff:ffff:ffff |
| 94 | 287c:c2:dddb:5d00::/56 | 287c:c2:dddb:5dff:ffff:ffff:ffff:ffff |
| 95 | 287c:c2:dddb:5e00::/56 | 287c:c2:dddb:5eff:ffff:ffff:ffff:ffff |
| 96 | 287c:c2:dddb:5f00::/56 | 287c:c2:dddb:5fff:ffff:ffff:ffff:ffff |
| 97 | 287c:c2:dddb:6000::/56 | 287c:c2:dddb:60ff:ffff:ffff:ffff:ffff |
| 98 | 287c:c2:dddb:6100::/56 | 287c:c2:dddb:61ff:ffff:ffff:ffff:ffff |
| 99 | 287c:c2:dddb:6200::/56 | 287c:c2:dddb:62ff:ffff:ffff:ffff:ffff |
| 100 | 287c:c2:dddb:6300::/56 | 287c:c2:dddb:63ff:ffff:ffff:ffff:ffff |
| 101 | 287c:c2:dddb:6400::/56 | 287c:c2:dddb:64ff:ffff:ffff:ffff:ffff |
| 102 | 287c:c2:dddb:6500::/56 | 287c:c2:dddb:65ff:ffff:ffff:ffff:ffff |
| 103 | 287c:c2:dddb:6600::/56 | 287c:c2:dddb:66ff:ffff:ffff:ffff:ffff |
| 104 | 287c:c2:dddb:6700::/56 | 287c:c2:dddb:67ff:ffff:ffff:ffff:ffff |
| 105 | 287c:c2:dddb:6800::/56 | 287c:c2:dddb:68ff:ffff:ffff:ffff:ffff |
| 106 | 287c:c2:dddb:6900::/56 | 287c:c2:dddb:69ff:ffff:ffff:ffff:ffff |
| 107 | 287c:c2:dddb:6a00::/56 | 287c:c2:dddb:6aff:ffff:ffff:ffff:ffff |
| 108 | 287c:c2:dddb:6b00::/56 | 287c:c2:dddb:6bff:ffff:ffff:ffff:ffff |
| 109 | 287c:c2:dddb:6c00::/56 | 287c:c2:dddb:6cff:ffff:ffff:ffff:ffff |
| 110 | 287c:c2:dddb:6d00::/56 | 287c:c2:dddb:6dff:ffff:ffff:ffff:ffff |
| 111 | 287c:c2:dddb:6e00::/56 | 287c:c2:dddb:6eff:ffff:ffff:ffff:ffff |
| 112 | 287c:c2:dddb:6f00::/56 | 287c:c2:dddb:6fff:ffff:ffff:ffff:ffff |
| 113 | 287c:c2:dddb:7000::/56 | 287c:c2:dddb:70ff:ffff:ffff:ffff:ffff |
| 114 | 287c:c2:dddb:7100::/56 | 287c:c2:dddb:71ff:ffff:ffff:ffff:ffff |
| 115 | 287c:c2:dddb:7200::/56 | 287c:c2:dddb:72ff:ffff:ffff:ffff:ffff |
| 116 | 287c:c2:dddb:7300::/56 | 287c:c2:dddb:73ff:ffff:ffff:ffff:ffff |
| 117 | 287c:c2:dddb:7400::/56 | 287c:c2:dddb:74ff:ffff:ffff:ffff:ffff |
| 118 | 287c:c2:dddb:7500::/56 | 287c:c2:dddb:75ff:ffff:ffff:ffff:ffff |
| 119 | 287c:c2:dddb:7600::/56 | 287c:c2:dddb:76ff:ffff:ffff:ffff:ffff |
| 120 | 287c:c2:dddb:7700::/56 | 287c:c2:dddb:77ff:ffff:ffff:ffff:ffff |
| 121 | 287c:c2:dddb:7800::/56 | 287c:c2:dddb:78ff:ffff:ffff:ffff:ffff |
| 122 | 287c:c2:dddb:7900::/56 | 287c:c2:dddb:79ff:ffff:ffff:ffff:ffff |
| 123 | 287c:c2:dddb:7a00::/56 | 287c:c2:dddb:7aff:ffff:ffff:ffff:ffff |
| 124 | 287c:c2:dddb:7b00::/56 | 287c:c2:dddb:7bff:ffff:ffff:ffff:ffff |
| 125 | 287c:c2:dddb:7c00::/56 | 287c:c2:dddb:7cff:ffff:ffff:ffff:ffff |
| 126 | 287c:c2:dddb:7d00::/56 | 287c:c2:dddb:7dff:ffff:ffff:ffff:ffff |
| 127 | 287c:c2:dddb:7e00::/56 | 287c:c2:dddb:7eff:ffff:ffff:ffff:ffff |
| 128 | 287c:c2:dddb:7f00::/56 | 287c:c2:dddb:7fff:ffff:ffff:ffff:ffff |
| 129 | 287c:c2:dddb:8000::/56 | 287c:c2:dddb:80ff:ffff:ffff:ffff:ffff |
| 130 | 287c:c2:dddb:8100::/56 | 287c:c2:dddb:81ff:ffff:ffff:ffff:ffff |
| 131 | 287c:c2:dddb:8200::/56 | 287c:c2:dddb:82ff:ffff:ffff:ffff:ffff |
| 132 | 287c:c2:dddb:8300::/56 | 287c:c2:dddb:83ff:ffff:ffff:ffff:ffff |
| 133 | 287c:c2:dddb:8400::/56 | 287c:c2:dddb:84ff:ffff:ffff:ffff:ffff |
| 134 | 287c:c2:dddb:8500::/56 | 287c:c2:dddb:85ff:ffff:ffff:ffff:ffff |
| 135 | 287c:c2:dddb:8600::/56 | 287c:c2:dddb:86ff:ffff:ffff:ffff:ffff |
| 136 | 287c:c2:dddb:8700::/56 | 287c:c2:dddb:87ff:ffff:ffff:ffff:ffff |
| 137 | 287c:c2:dddb:8800::/56 | 287c:c2:dddb:88ff:ffff:ffff:ffff:ffff |
| 138 | 287c:c2:dddb:8900::/56 | 287c:c2:dddb:89ff:ffff:ffff:ffff:ffff |
| 139 | 287c:c2:dddb:8a00::/56 | 287c:c2:dddb:8aff:ffff:ffff:ffff:ffff |
| 140 | 287c:c2:dddb:8b00::/56 | 287c:c2:dddb:8bff:ffff:ffff:ffff:ffff |
| 141 | 287c:c2:dddb:8c00::/56 | 287c:c2:dddb:8cff:ffff:ffff:ffff:ffff |
| 142 | 287c:c2:dddb:8d00::/56 | 287c:c2:dddb:8dff:ffff:ffff:ffff:ffff |
| 143 | 287c:c2:dddb:8e00::/56 | 287c:c2:dddb:8eff:ffff:ffff:ffff:ffff |
| 144 | 287c:c2:dddb:8f00::/56 | 287c:c2:dddb:8fff:ffff:ffff:ffff:ffff |
| 145 | 287c:c2:dddb:9000::/56 | 287c:c2:dddb:90ff:ffff:ffff:ffff:ffff |
| 146 | 287c:c2:dddb:9100::/56 | 287c:c2:dddb:91ff:ffff:ffff:ffff:ffff |
| 147 | 287c:c2:dddb:9200::/56 | 287c:c2:dddb:92ff:ffff:ffff:ffff:ffff |
| 148 | 287c:c2:dddb:9300::/56 | 287c:c2:dddb:93ff:ffff:ffff:ffff:ffff |
| 149 | 287c:c2:dddb:9400::/56 | 287c:c2:dddb:94ff:ffff:ffff:ffff:ffff |
| 150 | 287c:c2:dddb:9500::/56 | 287c:c2:dddb:95ff:ffff:ffff:ffff:ffff |
| 151 | 287c:c2:dddb:9600::/56 | 287c:c2:dddb:96ff:ffff:ffff:ffff:ffff |
| 152 | 287c:c2:dddb:9700::/56 | 287c:c2:dddb:97ff:ffff:ffff:ffff:ffff |
| 153 | 287c:c2:dddb:9800::/56 | 287c:c2:dddb:98ff:ffff:ffff:ffff:ffff |
| 154 | 287c:c2:dddb:9900::/56 | 287c:c2:dddb:99ff:ffff:ffff:ffff:ffff |
| 155 | 287c:c2:dddb:9a00::/56 | 287c:c2:dddb:9aff:ffff:ffff:ffff:ffff |
| 156 | 287c:c2:dddb:9b00::/56 | 287c:c2:dddb:9bff:ffff:ffff:ffff:ffff |
| 157 | 287c:c2:dddb:9c00::/56 | 287c:c2:dddb:9cff:ffff:ffff:ffff:ffff |
| 158 | 287c:c2:dddb:9d00::/56 | 287c:c2:dddb:9dff:ffff:ffff:ffff:ffff |
| 159 | 287c:c2:dddb:9e00::/56 | 287c:c2:dddb:9eff:ffff:ffff:ffff:ffff |
| 160 | 287c:c2:dddb:9f00::/56 | 287c:c2:dddb:9fff:ffff:ffff:ffff:ffff |
| 161 | 287c:c2:dddb:a000::/56 | 287c:c2:dddb:a0ff:ffff:ffff:ffff:ffff |
| 162 | 287c:c2:dddb:a100::/56 | 287c:c2:dddb:a1ff:ffff:ffff:ffff:ffff |
| 163 | 287c:c2:dddb:a200::/56 | 287c:c2:dddb:a2ff:ffff:ffff:ffff:ffff |
| 164 | 287c:c2:dddb:a300::/56 | 287c:c2:dddb:a3ff:ffff:ffff:ffff:ffff |
| 165 | 287c:c2:dddb:a400::/56 | 287c:c2:dddb:a4ff:ffff:ffff:ffff:ffff |
| 166 | 287c:c2:dddb:a500::/56 | 287c:c2:dddb:a5ff:ffff:ffff:ffff:ffff |
| 167 | 287c:c2:dddb:a600::/56 | 287c:c2:dddb:a6ff:ffff:ffff:ffff:ffff |
| 168 | 287c:c2:dddb:a700::/56 | 287c:c2:dddb:a7ff:ffff:ffff:ffff:ffff |
| 169 | 287c:c2:dddb:a800::/56 | 287c:c2:dddb:a8ff:ffff:ffff:ffff:ffff |
| 170 | 287c:c2:dddb:a900::/56 | 287c:c2:dddb:a9ff:ffff:ffff:ffff:ffff |
| 171 | 287c:c2:dddb:aa00::/56 | 287c:c2:dddb:aaff:ffff:ffff:ffff:ffff |
| 172 | 287c:c2:dddb:ab00::/56 | 287c:c2:dddb:abff:ffff:ffff:ffff:ffff |
| 173 | 287c:c2:dddb:ac00::/56 | 287c:c2:dddb:acff:ffff:ffff:ffff:ffff |
| 174 | 287c:c2:dddb:ad00::/56 | 287c:c2:dddb:adff:ffff:ffff:ffff:ffff |
| 175 | 287c:c2:dddb:ae00::/56 | 287c:c2:dddb:aeff:ffff:ffff:ffff:ffff |
| 176 | 287c:c2:dddb:af00::/56 | 287c:c2:dddb:afff:ffff:ffff:ffff:ffff |
| 177 | 287c:c2:dddb:b000::/56 | 287c:c2:dddb:b0ff:ffff:ffff:ffff:ffff |
| 178 | 287c:c2:dddb:b100::/56 | 287c:c2:dddb:b1ff:ffff:ffff:ffff:ffff |
| 179 | 287c:c2:dddb:b200::/56 | 287c:c2:dddb:b2ff:ffff:ffff:ffff:ffff |
| 180 | 287c:c2:dddb:b300::/56 | 287c:c2:dddb:b3ff:ffff:ffff:ffff:ffff |
| 181 | 287c:c2:dddb:b400::/56 | 287c:c2:dddb:b4ff:ffff:ffff:ffff:ffff |
| 182 | 287c:c2:dddb:b500::/56 | 287c:c2:dddb:b5ff:ffff:ffff:ffff:ffff |
| 183 | 287c:c2:dddb:b600::/56 | 287c:c2:dddb:b6ff:ffff:ffff:ffff:ffff |
| 184 | 287c:c2:dddb:b700::/56 | 287c:c2:dddb:b7ff:ffff:ffff:ffff:ffff |
| 185 | 287c:c2:dddb:b800::/56 | 287c:c2:dddb:b8ff:ffff:ffff:ffff:ffff |
| 186 | 287c:c2:dddb:b900::/56 | 287c:c2:dddb:b9ff:ffff:ffff:ffff:ffff |
| 187 | 287c:c2:dddb:ba00::/56 | 287c:c2:dddb:baff:ffff:ffff:ffff:ffff |
| 188 | 287c:c2:dddb:bb00::/56 | 287c:c2:dddb:bbff:ffff:ffff:ffff:ffff |
| 189 | 287c:c2:dddb:bc00::/56 | 287c:c2:dddb:bcff:ffff:ffff:ffff:ffff |
| 190 | 287c:c2:dddb:bd00::/56 | 287c:c2:dddb:bdff:ffff:ffff:ffff:ffff |
| 191 | 287c:c2:dddb:be00::/56 | 287c:c2:dddb:beff:ffff:ffff:ffff:ffff |
| 192 | 287c:c2:dddb:bf00::/56 | 287c:c2:dddb:bfff:ffff:ffff:ffff:ffff |
| 193 | 287c:c2:dddb:c000::/56 | 287c:c2:dddb:c0ff:ffff:ffff:ffff:ffff |
| 194 | 287c:c2:dddb:c100::/56 | 287c:c2:dddb:c1ff:ffff:ffff:ffff:ffff |
| 195 | 287c:c2:dddb:c200::/56 | 287c:c2:dddb:c2ff:ffff:ffff:ffff:ffff |
| 196 | 287c:c2:dddb:c300::/56 | 287c:c2:dddb:c3ff:ffff:ffff:ffff:ffff |
| 197 | 287c:c2:dddb:c400::/56 | 287c:c2:dddb:c4ff:ffff:ffff:ffff:ffff |
| 198 | 287c:c2:dddb:c500::/56 | 287c:c2:dddb:c5ff:ffff:ffff:ffff:ffff |
| 199 | 287c:c2:dddb:c600::/56 | 287c:c2:dddb:c6ff:ffff:ffff:ffff:ffff |
| 200 | 287c:c2:dddb:c700::/56 | 287c:c2:dddb:c7ff:ffff:ffff:ffff:ffff |
| 201 | 287c:c2:dddb:c800::/56 | 287c:c2:dddb:c8ff:ffff:ffff:ffff:ffff |
| 202 | 287c:c2:dddb:c900::/56 | 287c:c2:dddb:c9ff:ffff:ffff:ffff:ffff |
| 203 | 287c:c2:dddb:ca00::/56 | 287c:c2:dddb:caff:ffff:ffff:ffff:ffff |
| 204 | 287c:c2:dddb:cb00::/56 | 287c:c2:dddb:cbff:ffff:ffff:ffff:ffff |
| 205 | 287c:c2:dddb:cc00::/56 | 287c:c2:dddb:ccff:ffff:ffff:ffff:ffff |
| 206 | 287c:c2:dddb:cd00::/56 | 287c:c2:dddb:cdff:ffff:ffff:ffff:ffff |
| 207 | 287c:c2:dddb:ce00::/56 | 287c:c2:dddb:ceff:ffff:ffff:ffff:ffff |
| 208 | 287c:c2:dddb:cf00::/56 | 287c:c2:dddb:cfff:ffff:ffff:ffff:ffff |
| 209 | 287c:c2:dddb:d000::/56 | 287c:c2:dddb:d0ff:ffff:ffff:ffff:ffff |
| 210 | 287c:c2:dddb:d100::/56 | 287c:c2:dddb:d1ff:ffff:ffff:ffff:ffff |
| 211 | 287c:c2:dddb:d200::/56 | 287c:c2:dddb:d2ff:ffff:ffff:ffff:ffff |
| 212 | 287c:c2:dddb:d300::/56 | 287c:c2:dddb:d3ff:ffff:ffff:ffff:ffff |
| 213 | 287c:c2:dddb:d400::/56 | 287c:c2:dddb:d4ff:ffff:ffff:ffff:ffff |
| 214 | 287c:c2:dddb:d500::/56 | 287c:c2:dddb:d5ff:ffff:ffff:ffff:ffff |
| 215 | 287c:c2:dddb:d600::/56 | 287c:c2:dddb:d6ff:ffff:ffff:ffff:ffff |
| 216 | 287c:c2:dddb:d700::/56 | 287c:c2:dddb:d7ff:ffff:ffff:ffff:ffff |
| 217 | 287c:c2:dddb:d800::/56 | 287c:c2:dddb:d8ff:ffff:ffff:ffff:ffff |
| 218 | 287c:c2:dddb:d900::/56 | 287c:c2:dddb:d9ff:ffff:ffff:ffff:ffff |
| 219 | 287c:c2:dddb:da00::/56 | 287c:c2:dddb:daff:ffff:ffff:ffff:ffff |
| 220 | 287c:c2:dddb:db00::/56 | 287c:c2:dddb:dbff:ffff:ffff:ffff:ffff |
| 221 | 287c:c2:dddb:dc00::/56 | 287c:c2:dddb:dcff:ffff:ffff:ffff:ffff |
| 222 | 287c:c2:dddb:dd00::/56 | 287c:c2:dddb:ddff:ffff:ffff:ffff:ffff |
| 223 | 287c:c2:dddb:de00::/56 | 287c:c2:dddb:deff:ffff:ffff:ffff:ffff |
| 224 | 287c:c2:dddb:df00::/56 | 287c:c2:dddb:dfff:ffff:ffff:ffff:ffff |
| 225 | 287c:c2:dddb:e000::/56 | 287c:c2:dddb:e0ff:ffff:ffff:ffff:ffff |
| 226 | 287c:c2:dddb:e100::/56 | 287c:c2:dddb:e1ff:ffff:ffff:ffff:ffff |
| 227 | 287c:c2:dddb:e200::/56 | 287c:c2:dddb:e2ff:ffff:ffff:ffff:ffff |
| 228 | 287c:c2:dddb:e300::/56 | 287c:c2:dddb:e3ff:ffff:ffff:ffff:ffff |
| 229 | 287c:c2:dddb:e400::/56 | 287c:c2:dddb:e4ff:ffff:ffff:ffff:ffff |
| 230 | 287c:c2:dddb:e500::/56 | 287c:c2:dddb:e5ff:ffff:ffff:ffff:ffff |
| 231 | 287c:c2:dddb:e600::/56 | 287c:c2:dddb:e6ff:ffff:ffff:ffff:ffff |
| 232 | 287c:c2:dddb:e700::/56 | 287c:c2:dddb:e7ff:ffff:ffff:ffff:ffff |
| 233 | 287c:c2:dddb:e800::/56 | 287c:c2:dddb:e8ff:ffff:ffff:ffff:ffff |
| 234 | 287c:c2:dddb:e900::/56 | 287c:c2:dddb:e9ff:ffff:ffff:ffff:ffff |
| 235 | 287c:c2:dddb:ea00::/56 | 287c:c2:dddb:eaff:ffff:ffff:ffff:ffff |
| 236 | 287c:c2:dddb:eb00::/56 | 287c:c2:dddb:ebff:ffff:ffff:ffff:ffff |
| 237 | 287c:c2:dddb:ec00::/56 | 287c:c2:dddb:ecff:ffff:ffff:ffff:ffff |
| 238 | 287c:c2:dddb:ed00::/56 | 287c:c2:dddb:edff:ffff:ffff:ffff:ffff |
| 239 | 287c:c2:dddb:ee00::/56 | 287c:c2:dddb:eeff:ffff:ffff:ffff:ffff |
| 240 | 287c:c2:dddb:ef00::/56 | 287c:c2:dddb:efff:ffff:ffff:ffff:ffff |
| 241 | 287c:c2:dddb:f000::/56 | 287c:c2:dddb:f0ff:ffff:ffff:ffff:ffff |
| 242 | 287c:c2:dddb:f100::/56 | 287c:c2:dddb:f1ff:ffff:ffff:ffff:ffff |
| 243 | 287c:c2:dddb:f200::/56 | 287c:c2:dddb:f2ff:ffff:ffff:ffff:ffff |
| 244 | 287c:c2:dddb:f300::/56 | 287c:c2:dddb:f3ff:ffff:ffff:ffff:ffff |
| 245 | 287c:c2:dddb:f400::/56 | 287c:c2:dddb:f4ff:ffff:ffff:ffff:ffff |
| 246 | 287c:c2:dddb:f500::/56 | 287c:c2:dddb:f5ff:ffff:ffff:ffff:ffff |
| 247 | 287c:c2:dddb:f600::/56 | 287c:c2:dddb:f6ff:ffff:ffff:ffff:ffff |
| 248 | 287c:c2:dddb:f700::/56 | 287c:c2:dddb:f7ff:ffff:ffff:ffff:ffff |
| 249 | 287c:c2:dddb:f800::/56 | 287c:c2:dddb:f8ff:ffff:ffff:ffff:ffff |
| 250 | 287c:c2:dddb:f900::/56 | 287c:c2:dddb:f9ff:ffff:ffff:ffff:ffff |
| 251 | 287c:c2:dddb:fa00::/56 | 287c:c2:dddb:faff:ffff:ffff:ffff:ffff |
| 252 | 287c:c2:dddb:fb00::/56 | 287c:c2:dddb:fbff:ffff:ffff:ffff:ffff |
| 253 | 287c:c2:dddb:fc00::/56 | 287c:c2:dddb:fcff:ffff:ffff:ffff:ffff |
| 254 | 287c:c2:dddb:fd00::/56 | 287c:c2:dddb:fdff:ffff:ffff:ffff:ffff |
| 255 | 287c:c2:dddb:fe00::/56 | 287c:c2:dddb:feff:ffff:ffff:ffff:ffff |
| 256 | 287c:c2:dddb:ff00::/56 | 287c:c2:dddb:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |